| Haskell Hierarchical Libraries (base package) | Contents | Index

Control.Concurrent.QSemN

Portability | non-portable (concurrency)
Stability | experimental
Maintainer | libraries@haskell.org

Contents

General Quantity Semaphores

Description
Quantity semaphores in which each thread may wait for an arbitrary "amount".
Synopsis

data QSemN
newQSemN :: Int -> IO QSemN
waitQSemN :: QSemN -> Int -> IO ()
signalQSemN :: QSemN -> Int -> IO ()

General Quantity Semaphores
data QSemN

A `QSemN` is a quantity semaphore, in which the available "quantity" may be signalled or waited for in arbitrary amounts.

newQSemN :: Int -> IO QSemN
Build a new `QSemN` with a supplied initial quantity.
waitQSemN :: QSemN -> Int -> IO ()
Wait for the specified quantity to become available
signalQSemN :: QSemN -> Int -> IO ()
Signal that a given quantity is now available from the `QSemN`.
Produced by Haddock version 0.6